import request from '@/utils/request'

// 查询业务模型健康度指标列表
export function listBdm(query) {
    return request({
        url: '/hl/bdm/list',
        method: 'get',
        params: query
    })
}

// 查询业务模型健康度指标详细
export function getBdm(bizMetricsId) {
    return request({
        url: '/hl/bdm/' + bizMetricsId,
        method: 'get'
    })
}

// 新增业务模型健康度指标
export function addBdm(data) {
    return request({
        url: '/hl/bdm',
        method: 'post',
        data: data
    })
}

// 修改业务模型健康度指标
export function updateBdm(data) {
    return request({
        url: '/hl/bdm',
        method: 'put',
        data: data
    })
}

// 删除业务模型健康度指标
export function delBdm(bizMetricsId) {
    return request({
        url: '/hl/bdm/' + bizMetricsId,
        method: 'delete'
    })
}
